"""
Task Assignment MCP Server

A Model Context Protocol (MCP) server that provides intelligent task assignment capabilities.
This server implements task decomposition, capability matching, smart assignment,
team collaboration, and daily review functionalities.

Features:
- Complex task decomposition into manageable subtasks
- Capability matching between tasks and resources (human/AI)
- Intelligent task assignment based on skills and availability
- Team collaboration and coordination features
- Daily report review and scoring system
- Automated retrospective analysis

Author: Task Manager MCP Team
Version: 1.0.0
License: MIT
"""

__version__ = "1.0.0"
__author__ = "Task Manager MCP Team"
__license__ = "MIT"

from .server import create_server

__all__ = ["create_server"]
