"""
Task Management MCP Server

A Model Context Protocol (MCP) server that provides intelligent task management capabilities.
This server implements advanced task analysis, priority scheduling, risk prediction, 
reminder systems, progress tracking, and task review functionalities.

Features:
- Task identification and analysis from natural language input
- Intelligent priority sorting and scheduling recommendations
- Risk prediction and mitigation strategies
- Automated reminder system for task deadlines
- Dynamic progress tracking and adjustment
- Comprehensive task review and retrospective analysis

Author: Task Manager MCP Team
Version: 1.0.0
License: MIT
"""

__version__ = "1.0.0"
__author__ = "Task Manager MCP Team"
__license__ = "MIT"

from .server import create_server

__all__ = ["create_server"]
